# Delphi React Components

## ChatWindow

### Usage

```typescript
const ChatWindow = dynamic(
  () => import("delphi-react-components").then((mod) => mod.ChatWindow),
  {
    ssr: false,
  }
);

export default function Chat(props: Props) {
    ...
    return (
    <ChatWindow
        delphiCredentials={{
            apiUrl: process.env.NEXT_PUBLIC_API_URL,
            clientId,
            apiKey,
        }}
        dataCredentials={{
            email, // only required for some Looker integrations
        }}
        shouldShowDataTable={false}
    />
    );
}
```
